/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workcatalogueitemstock.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.workcatalogueitemstock.entity.WorkCatalogueItemStock;
import com.jeeplus.modules.workcatalogueitemstock.dao.WorkCatalogueItemStockDao;

/**
 * 采购申请物品Service
 * @author lw
 * @version 2018-07-18
 */
@Service
@Transactional(readOnly = true)
public class WorkCatalogueItemStockService extends CrudService<WorkCatalogueItemStockDao, WorkCatalogueItemStock> {

	public WorkCatalogueItemStock get(String id) {
		return super.get(id);
	}
	
	public List<WorkCatalogueItemStock> findList(WorkCatalogueItemStock workCatalogueItemStock) {
		return super.findList(workCatalogueItemStock);
	}
	
	public Page<WorkCatalogueItemStock> findPage(Page<WorkCatalogueItemStock> page, WorkCatalogueItemStock workCatalogueItemStock) {
		return super.findPage(page, workCatalogueItemStock);
	}
	
	@Transactional(readOnly = false)
	public void save(WorkCatalogueItemStock workCatalogueItemStock) {
		super.save(workCatalogueItemStock);
	}
	
	@Transactional(readOnly = false)
	public void delete(WorkCatalogueItemStock workCatalogueItemStock) {
		super.delete(workCatalogueItemStock);
	}
	
	
	
	
}